Download it now!
Bug 59889 - FORMATTING: Dragging edge in table re-sizes column width of the next column instead of current column.
Summary: FORMATTING: Dragging edge in table re-sizes column width of the next column i...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: All All
: medium normal
Assignee: Karthikeyan Krishnamurthi
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-26 06:46 UTC by Karthikeyan Krishnamurthi
Modified: 2013-02-09 17:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
While dragging the 2nd vertical edge(first column's right edge) towards right side, it resizes the 2nd column instead of first column (291.62 KB, image/png)
2013-01-29 07:38 UTC, Karthikeyan Krishnamurthi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karthikeyan Krishnamurthi 2013-01-26 06:46:00 UTC
In Impress, dragging the edge of a table works fine with LTR.  But, when we change the table into RTL, the dragging not works properly.  When we drag the edge of a column(say column x's Right edge), it resizes the column(x+1).

To Reproduce:
Open Impress document
   -> Create table
       -> select the whole table 
           -> Right click -> Edit Style
               -> Select Alignment Tab 
                   -> Change Text Direction to "Right to left"
                       -> Drag the edge

Now, we can see the width of the next column(x+1) is changed not the current one(x).

Note:
  For better understanding, I attached the screenshots of the problem.
  Am using Libreoffice Version 3.6.3.2 (Build ID: 58f22d5), Ubuntu Release 12.04 (precise) 32-bit.
Comment 1 Karthikeyan Krishnamurthi 2013-01-29 05:06:54 UTC
I am working on this bug.
Comment 2 Karthikeyan Krishnamurthi 2013-01-29 05:25:23 UTC
Someone confirm this bug..
Comment 3 Karthikeyan Krishnamurthi 2013-01-29 07:38:03 UTC
Created attachment 73811 [details]
While dragging the 2nd vertical edge(first column's right edge) towards right side, it resizes the 2nd column instead of first column

While dragging the 2nd vertical edge(first column's right edge) towards right side, it resizes the 2nd column instead of first column
Comment 4 Lior Kaplan 2013-01-29 07:41:46 UTC
The bug is confirmed in 3.6.5.2, but I think there's a version of it also with LTR talbes.

Steps:
1. Set page to LTR
2. Insert a table with a few columns.
3. The left border of the table can't be changed.
4. Moving the border between the left most column and one next to it on the right, will move all the cells to that direction (resizing the whole table).
5. The previous step don't happen with the next pair of cells or with the last pair.
Comment 5 Karthikeyan Krishnamurthi 2013-02-05 05:54:40 UTC
   Submitted a patch(https://gerrit.libreoffice.org/#/c/1979/) that resolves the reported bug and resizing of the whole table while dragging(Thanks @Lior Kaplan for reporting this :-) ).  For time being "dragging of left border" put into TODO.
Comment 6 Not Assigned 2013-02-08 19:26:02 UTC
K_Karthikeyan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c5b83e07f87a092a9b771365231df0a1667404bf

Resolves fdo#59889 fault in dragging edge of RTL table



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Lior Kaplan 2013-02-09 17:45:31 UTC
Verified on master (4.1 alpha)